Fetch Split Accounts
curl --request GET \
--url https://api.payaza.africa/live/settlement/settlement/merchant/split-account \
--header 'Authorization: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/settlement/settlement/merchant/split-account"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'X-TenantID': '<api-key>'}
};
fetch('https://api.payaza.africa/live/settlement/settlement/merchant/split-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/settlement/settlement/merchant/split-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/settlement/settlement/merchant/split-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/settlement/settlement/merchant/split-account")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/settlement/settlement/merchant/split-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "00",
"success": true,
"error": null,
"data": {
"items": [
{
"id": 116,
"account_no": "0223456789",
"code": "SSA_C70E2C391783952664709",
"account_name": "Jane Doe",
"name": "Jane doe",
"email": "janedoe@gmail.com",
"bank_code": "123456",
"bank_name": "YOUR BANK",
"currency": "NGN",
"country": "NGA",
"split_type": "FLAT",
"split_value": 3000,
"active": true,
"created_at": "2026-07-13T14:24:24.709239",
"last_modified": "2026-07-13T14:24:24.713178"
},
{
"id": 115,
"account_no": "0123456789",
"code": "SSA_39B5E6E91783951863120",
"account_name": "John Doe",
"name": "John doe",
"email": "johndoe@gmail.com",
"bank_code": "654321",
"bank_name": "MY BANK",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": true,
"created_at": "2026-07-13T14:11:03.120587",
"last_modified": "2026-07-13T14:11:03.123849"
}
],
"page": 1,
"size": 2,
"total_elements": 8,
"total_pages": 4,
"has_next": true
},
"message": "split accounts fetched successfully"
}Split Settlements
Fetch Split Accounts
This retrieves all split settlement accounts belonging to the authenticated merchant.
GET
/
settlement
/
settlement
/
merchant
/
split-account
Fetch Split Accounts
curl --request GET \
--url https://api.payaza.africa/live/settlement/settlement/merchant/split-account \
--header 'Authorization: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/settlement/settlement/merchant/split-account"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'X-TenantID': '<api-key>'}
};
fetch('https://api.payaza.africa/live/settlement/settlement/merchant/split-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payaza.africa/live/settlement/settlement/merchant/split-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"X-TenantID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payaza.africa/live/settlement/settlement/merchant/split-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("X-TenantID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payaza.africa/live/settlement/settlement/merchant/split-account")
.header("Authorization", "<api-key>")
.header("X-TenantID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payaza.africa/live/settlement/settlement/merchant/split-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["X-TenantID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": "00",
"success": true,
"error": null,
"data": {
"items": [
{
"id": 116,
"account_no": "0223456789",
"code": "SSA_C70E2C391783952664709",
"account_name": "Jane Doe",
"name": "Jane doe",
"email": "janedoe@gmail.com",
"bank_code": "123456",
"bank_name": "YOUR BANK",
"currency": "NGN",
"country": "NGA",
"split_type": "FLAT",
"split_value": 3000,
"active": true,
"created_at": "2026-07-13T14:24:24.709239",
"last_modified": "2026-07-13T14:24:24.713178"
},
{
"id": 115,
"account_no": "0123456789",
"code": "SSA_39B5E6E91783951863120",
"account_name": "John Doe",
"name": "John doe",
"email": "johndoe@gmail.com",
"bank_code": "654321",
"bank_name": "MY BANK",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": true,
"created_at": "2026-07-13T14:11:03.120587",
"last_modified": "2026-07-13T14:11:03.123849"
}
],
"page": 1,
"size": 2,
"total_elements": 8,
"total_pages": 4,
"has_next": true
},
"message": "split accounts fetched successfully"
}Authorizations
Query Parameters
Response
Fetch Split Accounts Response